explain_stime_or_die(3)

NAME
explain_stime_or_die - set system time and report errors

SYNOPSIS
#include <libexplain/stime.h>

void explain_stime_or_die(time_t *t);
int explain_stime_on_error(time_t *t);

DESCRIPTION
The explain_stime_or_die function is used to call the stime(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_stime(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_stime_on_error function is used to call the stime(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_stime(3) function, but still returns to the caller.

t   The t, exactly as to be passed to the stime(2) system call.

RETURN VALUE
The explain_stime_or_die function only returns on success, see stime(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_stime_on_error function always returns the value return by the wrapped stime(2) system call.

EXAMPLE
The explain_stime_or_die function is intended to be used in a fashion similar to the following example:
    explain_stime_or_die(t);

SEE ALSO

stime(2)
    set system time

explain_stime(3)
    explain stime(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 0.46
Copyright (C) 2009 Peter Miller